<!DOCTYPE HTML>
<html>
    <head>
        <style>
        #internal-styling{
            color: orange;
        }
        </style>

        <!-- css link -->
        <link rel="stylesheet" type="text/css" href="./index.css">

        <title>Activity: CSS Introduction</title>
    </head>
    <body>

        <!-- Different ways to include CSS -->
        <!-- inline styling -->
        <p style="color: red;">Apply inline styling here.</p>
        <p id="internal-styling">Apply internal styling here.</p>
        <p id="external-styling">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2>The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol id="languages-to-be-learned">
            <li class="languages">Hypertext Markup Language</li>
            <li class="languages">Cascading Style Sheet</li>
            <li class="languages">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol id="tools-to-be-used">
            <li class="tools">Sublime Text</li>
            <li class="tools">Postman</li>
            <li class="tools">Heroku</li>
            <li class="tools">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p class="footer-description">Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>
